> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kair.is/llms.txt
> Use this file to discover all available pages before exploring further.

# Inbox: requests targeting *me* (workspace/session owner).



## OpenAPI

````yaml /openapi.json get /access-requests/incoming
openapi: 3.0.0
info:
  title: Kair Voice
  version: '1.0'
servers:
  - url: http://0.0.0.0:8000/api
security: []
tags:
  - name: Admin
  - name: ApiKey
  - name: Auth
  - name: Concerns
  - name: Device
  - name: Graph
  - name: Health
  - name: Job
  - name: Session
  - name: Workshop
  - name: Workspace
paths:
  /access-requests/incoming:
    get:
      tags:
        - Graph
      summary: 'Inbox: requests targeting *me* (workspace/session owner).'
      operationId: get-access-requests-incoming
      responses:
        '200':
          description: ''
          content:
            application/json; charset=utf-8:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/AccessRequestResponseBody'
        '401':
          description: ''
          content:
            application/json; charset=utf-8:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '500':
          description: ''
          content:
            application/json; charset=utf-8:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    AccessRequestResponseBody:
      type: object
      title: AccessRequestResponseBody
      required:
        - id
        - requesting_user_id
        - requesting_user_email
        - target_session_id
        - session_title
        - workspace_id
        - workspace_name
        - target_owner_user_id
        - status
        - created_at
      properties:
        id:
          type: string
        requesting_user_id:
          type: string
        requesting_user_email:
          type: string
        requesting_user_name:
          type: string
        target_session_id:
          type: string
        session_title:
          type: string
        workspace_id:
          type: string
        workspace_name:
          type: string
        target_owner_user_id:
          type: string
        message:
          type: string
        status:
          type: string
        created_at:
          type: string
        decided_at:
          type: string
    ErrorResponse:
      type: object
      title: ErrorResponse
      required:
        - success
        - message
      properties:
        success:
          type: boolean
        message:
          type: string

````